Bug 1224044 - rescene: fix build for Mono4
Summary: rescene: fix build for Mono4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rescene
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Conrad Meyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-22 05:41 UTC by Timotheus Pokorra
Modified: 2015-06-18 17:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-18 17:43:20 UTC
Type: Bug


Attachments (Terms of Use)
fix spec file to build with mono4 (931 bytes, patch)
2015-05-23 05:22 UTC, Timotheus Pokorra
no flags Details | Diff

Description Timotheus Pokorra 2015-05-22 05:41:53 UTC
While checking if rescene still compiles for Mono4, I realized:
Upstream has switched from .Net to Python.
see http://rescene.wikidot.com/downloads#toc2
"use pyReScene instead of this outdated software."

Therefore I do not suggest we try to make rescene 1.2 work with Mono4, but to retire this package rescene. If someone is interested in the functionality, please create a package for pyrescene.

Does this make sense?

Comment 1 Conrad Meyer 2015-05-22 12:35:01 UTC
Has C# changed significantly such that rescene no longer compiles under Mono4?

I agree that we should (eventually) get pyrescene packaged and included, but I'm not ready to take that process on anytime soon. Getting rescene to continue to compile may be comparatively less work.

Comment 2 Timotheus Pokorra 2015-05-23 05:22:28 UTC
Created attachment 1028989 [details]
fix spec file to build with mono4

Ok, fine with me.
Actually, only one line needs to change, gmcs is now mcs.

I had some problems building the package, because of the type of the source.
I ended up repacking the srr.1.2.cs.zip into a tar.gz, so that I could compile the package locally.

But you have done that previously, so I would like to leave that to you.

I hope my patch helps!

Comment 3 Conrad Meyer 2015-06-18 17:29:19 UTC
Build kicked off in Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=10140255

Comment 4 Conrad Meyer 2015-06-18 17:43:20 UTC
Build succeeded, closing.


Note You need to log in before you can comment on or make changes to this bug.